{
	"root": {
		"linksReferences": [
			"home"
		]
	},
	"*navbar": {
		"linksReferences": [
			"search",
			"shopping-cart",
			"order-display"
		]
	},
	"home": {
		"method": "GET",
		"URL": "http://localhost:8080/showcase",
		"linksReferences": [
			"**navbar",
			"new-products",
			"best-sellers"
		]
	},
	"new-products": {
		"method": "GET",
		"URL": "http://localhost:8080/showcase/new-products?SUBJECT=<ARTS|BIOGRAPHIES|BUSINESS|CHILDREN|COMPUTERS|COOKING|HEALTH|HISTORY|HOME|HUMOR|LITERATURE|NON-FICTION|PARENTING|POLITICS|REFERENCE|RELIGION|ROMANCE|SELF-HELP|SCIENCE-NATURE|SCIENCE-FICTION|SPORTS|MYSTERY>",
		"linksReferences": [
			"**navbar",
			"product-detail"
		]
	},
	"best-sellers": {
		"method": "GET",
		"URL": "http://localhost:8080/showcase/new-products?SUBJECT=<ARTS|BIOGRAPHIES|BUSINESS|CHILDREN|COMPUTERS|COOKING|HEALTH|HISTORY|HOME|HUMOR|LITERATURE|NON-FICTION|PARENTING|POLITICS|REFERENCE|RELIGION|ROMANCE|SELF-HELP|SCIENCE-NATURE|SCIENCE-FICTION|SPORTS|MYSTERY>",
		"linksReferences": [
			"**navbar",
			"product-detail"
		]
	},
	"product-detail": {
		"method": "GET",
		"URL": "http://localhost:8080/showcase/product-detail?I_ID=${1-9999}",
		"linksReferences": [
			"**navbar",
			"admin-confirm",
			"add-to-cart"
		]
	},
	"admin-confirm": {
		"method": "POST",
		"URL": "http://localhost:8080/showcase/admin-confirm?I_ID=${1-9999}",
		"data": "new_price=${1-9999}&new_picture=<a|b|c|d|e|f>${1-9999}&new_thumbnail=${1-9999}&itemId=${1-9999}",
		"linksReferences": [
			"*product-detail"
		]
	},
	"add-to-cart": {
		"method": "GET",
		"URL": "http://localhost:8080/showcase/shopping-cart?&I_ID=${1-9999}&QTY=${1-99}&ADD_FLAG=Y",
		"linksReferences": [
			"**navbar",
			"home",
			"update-cart",
			"checkout"
		]
	},
	"shopping-cart": {
		"method": "GET",
		"URL": "http://localhost:8080/showcase/shopping-cart",
		"linksReferences": [
			"*add-to-cart"
		]
	},
	"update-cart": {
		"method": "GET",
		"URL": "http://localhost:8080/showcase/shopping-cart?I_ID_0=${1-9999}&QTY_0=${1-99}&ADD_FLAG=N&SHOPPING_ID=${1-300}",
		"linksReferences": [
			"*add-to-cart"
		]
	},
	"checkout": {
		"method": "GET",
		"URL": "http://localhost:8080/showcase/buy?RETURNING_FLAG=Y&username=${1-999}&password=${1-999}&birthdate=&fname=&lname=&street1=&street2=&city=&state=&zip=&country=&phone=&email=&data=&SHOPPING_ID=${1-300}",
		"linksReferences": [
			"**navbar",
			"payment"
		]
	},
	"payment": {
		"method": "GET",
		"URL": "http://localhost:8080/showcase/payment?street1=${1-9999}&street2=${1-9999}&city=${1-9999}&state=${1-9999}&zip=${1-9999}&country=<United+States|Brazil|United+Kingdom|Portugal>&CC_TYPE=<Visa|Mastercard|Amex|Discover|Diners>&CC_NAME=${1-9999}&CC_NUMBER=${1-9999}&CC_EXPIRY=1/1/${1-9999}&SHIPPING=<AIR|MAIL|FEDEX|SHIP|COURIER>&distribution=gauss&attr1=1&attr2=2&attr3=0&SHOPPING_ID=${1-300}&C_ID=${1-9999}",
		"linksReferences": [
			"buy-confirm"
		]
	},
	"buy-confirm": {
		"method": "GET",
		"URL": "http://localhost:8080/showcase/buy-confirm?zip=${1-9999}&country=<United+States|Brazil|United+Kingdom|Portugal>&CC_TYPE=<Visa|Mastercard|Amex|Discover|Diners>&city=${1-9999}&C_ID=${1-9999}&SHOPPING_ID=${1-300}&distribution=gauss&attr2=2&attr1=1&SHIPPING=<AIR|MAIL|FEDEX|SHIP|COURIER>&attr3=0&CC_EXPIRY=1/1/${2010-2020}&street1=${1-9999}&street2=${1-9999}&state=${1-9999}&CC_NUMBER=${1-9999}&CC_NAME=${1-9999}",
		"linksReferences": [
			"**navbar"
		]
	},
	"search": {
		"method": "GET",
		"URL": "http://localhost:8080/showcase/search?searchField=<author|title|subject>&keyword=<ARTS|BIOGRAPHIES|BUSINESS|CHILDREN|COMPUTERS|COOKING|HEALTH|HISTORY|HOME|HUMOR|LITERATURE|NON-FICTION|PARENTING|POLITICS|REFERENCE|RELIGION|ROMANCE|SELF-HELP|SCIENCE-NATURE|SCIENCE-FICTION|SPORTS|MYSTERY|${1-9999}>",
		"linksReferences": [
			"**navbar",
			"product-detail"
		]
	},
	"order-display": {
		"method": "GET",
		"URL": "http://localhost:8080/showcase/order-display?username=${1-999}&password=${1-999}",
		"linksReferences": [
			"**navbar"
		]
	}
}